#!/bin/sh
#
VERSION=$1
#
INSTALLDIR=/var/tmp
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/Shell

if [ -z $VERSION ]; then
echo "Version needs to be passed as argument, cann't do anything"
echo "---------------------------------------------"
exit 1
fi
 
echo "---------------------------------------------"
echo "Creating Shell Installation Kit"
echo "---------------------------------------------"

if [ ! -d $INSTDIR ]; then
mkdir $INSTALLDIR
fi
dos2unix $PLUGINDIR/readme.txt

if [  -f $PLUGINDIR/keymaps/keymap_standard.xml ]; then
cp $PLUGINDIR/keymaps/keymap_standard.xml /usr/share/enigma2/keymap.xml
rm $PLUGINDIR/keymaps/keymap_standard.xml
fi
if [ ! $2 ]; then
echo "Making full kit"
tar -cf $INSTALLDIR/shell$VERSION.tar $PLUGINDIR/shell.sh $PLUGINDIR/diskdoctor.sh $PLUGINDIR/keymaps $PLUGINDIR/commands.lst $PLUGINDIR/bzip2* $PLUGINDIR/*.py  $PLUGINDIR/makekit.sh $PLUGINDIR/readme.txt
else
echo "Making lite kit"
tar -cf $INSTALLDIR/shell$VERSION.tar $PLUGINDIR/shell.sh $PLUGINDIR/diskdoctor.sh $PLUGINDIR/keymaps $PLUGINDIR/commands.lst $PLUGINDIR/*.py  $PLUGINDIR/readme.txt
fi
echo " Kit contains "
echo "---------------------------------------------"
tar -tvf $INSTALLDIR/shell$VERSION.tar
echo "---------------------------------------------"
if [ ! -f /usr/bin/bzip2 ]; then
ipkg install $INSTALLDIR/bzip2*
echo "---------------------------------------------"
fi
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
bzip2 -f $INSTALLDIR/shell$VERSION.tar
ls -1alh $INSTALLDIR/shell$VERSION.tar.*
echo "---------------------------------------------"
cd $PLUGINDIR
exit 0


